Page MenuHomePhabricator

JP2K support broken since Openjpeg >= 2.x
Open, HighPublic

Description

Hi All,

The JP2K support support only Openjpeg 1.x (libopenjpeg1.pc) and doesn't recognize Openjpeg 2.x (libopenjp2.pc).

See https://git.busybox.net/buildroot/commit/?id=cc1d379ec4f56fb93685d36cbeffecfcc928a1ff

Since Buildroot provide only Openjpeg 2.x, we will remove the BR2_PACKAGE_EFL_JP2K option soon.

http://patchwork.ozlabs.org/patch/736404/

I don't know if there is any plan to support Openjpeg 2.x, ?

Best regards,
Romain

kubu created this task.Mar 8 2017, 11:23 AM
kubu updated the task description. (Show Details)Mar 8 2017, 11:26 AM
kubu added a project: efl.
kubu added a subscriber: barbieri.
bu5hm4n triaged this task as High priority.Jun 11 2018, 2:20 AM
bu5hm4n assigned this task to q66.
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
q66 removed a project: Restricted Project.Jun 11 2018, 7:37 AM
zmike edited projects, added efl: rendering, Restricted Project; removed efl (efl-1.21), efl: system integration.Jun 14 2018, 6:25 AM
zmike added a subscriber: zmike.

We'd like to support this at some point, but currently I don't think we have anyone with time to work on it.